1.0

1.0

put /v1/cloud-functions/{cloud_function_id}/configurations/url

Description

Cloud Function 함수 URL 수정

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

FunctionUrlRequest

Responses

HTTP CodeDescriptionSchema
200OKFunctionUrl
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/url

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Request body

{
    "allow_ips": [],
    "auth_type": "NONE",
    "public_ip_acl_enabled": true,
    "url_enabled": true
}

Example HTTP response

Response 200

{
    "allow_ips": [
        ""
    ],
    "auth_type": "NONE",
    "public_endpoint_url": "https://scf.33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/sample-function",
    "public_ip_acl_enabled": true,
    "url_enabled": true
}